
server:
    rundir: "/var/run/knot"
    user: knot:knot
    listen: [ 0.0.0.0@53, ::@53 ]
log:
  - target: syslog
    any: info

database:
    storage: "/var/db/knot"

include: key.conf

acl:
  - id: hidden_primaries_acl
    address: [185.93.156.8, 185.93.156.9]
    key: isnic_key
    action: transfer

remote:
  - id: hidden_primary_1
    address: 185.93.156.8
    key: isnic_key
  - id: hidden_primary_2
    address: 185.93.156.9
    key: isnic_key

template:
  - id: default
    semantic-checks: on
    storage: "/usr/local/etc/knot"
    file: "zones/unsigned/%s/%s-soa"
    serial-policy: unixtime
    zonefile-sync: -1
    zonefile-load: difference-no-serial
    journal-content: all
    journal-max-depth: 10
    journal-max-usage: 1G
    acl: hidden_primaries_acl
    
policy:
  - id: isnic
    manual: on
  - id: isnic-rsasha256
    manual: on
  - id: isnic-ecdsap256sha256
    manual: on
  # isnic_freeze, to stop rollovers during migration
  - id: isnic_freeze
    manual: on

include: knot_zones.conf
